# yt-unlist-saver

This program will download all unlisted videos and descriptions in a given YouTube playlist that were uploaded on or before 2017.

## Installation

1. Clone the repository.
2. Install youtube-dl Python library
3. Get a YouTube API key following the instructions here [YouTube Data API Overview](https://developers.google.com/youtube/registering_an_application)
4. Save the API key to a file called `youtube.key`
```sh
pip install youtube_dl
```

## Usage

1. Go to the desired playlist in your browser.
2. On the address bar you will see an URL like the following: https://www.youtube.com/watch?v=swRkBEDmaqk&list=PLRmPOFgS7WQFiijsHm-nAlpVAZaNXYRkx
3. The playlist ID is after the `list=` On the playlist above it would be `PLRmPOFgS7WQFiijsHm-nAlpVAZaNXYRkx`
4. Run the following command to download the playlist.
```sh
python yt-unlist-saver.py [Playlist ID]
```
